/***文档注释***********************************************
 * 作者            ：      易鑫
 * 创建日期     ：2018-02-6
 * 描述            ：检验委托明细项目表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.qcm.vo;

import java.io.Serializable;
import java.util.Date;

import market.Qms.qcm.mapper.JhySampleConsignDItemMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="QCM_JHY_SAMPLE_CONSIGN_D_ITEM", namespace=JhySampleConsignDItemMapper.class)
public class JhySampleConsignDItem extends BaseVO implements Serializable {

	/** 取样编号 */
	@Column("SPECIMEN_NO")
	private String specimenNo;

	/** 检验项目流水号 */
	@Column
	private Integer seq;

	/** 材质检验项代码（大类） */
	@Column("PHY_CODE_L")
	private String phyCodeL;

	/** 材质检验项名称（大类） */
	@Column("PHY_NAME_L")
	private String phyNameL;

	/** 试样组代码 */
	@Column("PHY_CODE_M")
	private String phyCodeM;

	/** 试样组描述 */
	@Column("PHY_NAME_M")
	private String phyNameM;

	/** 材质检验项代码 */
	@Column("PHY_CODE_S")
	private String phyCodeS;

	/** 材质检验项名称 */
	@Column("PHY_NAME_S")
	private String phyNameS;

	/** 试验方向代码 */
	@Column("ITEM_CODE_D")
	private String itemCodeD;

	/** 试验方向描述 */
	@Column("ITEM_NAME_D")
	private String itemNameD;

	/** 试验温度代码 */
	@Column("ITEM_CODE_T")
	private String itemCodeT;

	/** 试验温度描述 */
	@Column("ITEM_NAME_T")
	private String itemNameT;

	/** 试样尺寸代码 */
	@Column("ITEM_CODE_S")
	private String itemCodeS;

	/** 试样尺寸描述 */
	@Column("ITEM_NAME_S")
	private String itemNameS;

	/** 标准范围下限符号(交付） */
	@Column("JF_STDMIN_SIGN")
	private String jfStdminSign;

	/** 标准范围下限(交付） */
	@Column("JF_STDMIN")
	private String jfStdmin;

	/** 标准范围上限符号(交付） */
	@Column("JF_STDMAX_SIGN")
	private String jfStdmaxSign;

	/** 标准范围上限(交付） */
	@Column("JF_STDMAX")
	private String jfStdmax;

	/** 标准范围下限符号（内控） */
	@Column("NK_STDMIN_SIGN")
	private String nkStdminSign;

	/** 标准范围下限（内控） */
	@Column("NK_STDMIN")
	private String nkStdmin;

	/** 标准范围上限符号（内控） */
	@Column("NK_STDMAX_SIGN")
	private String nkStdmaxSign;

	/** 标准范围上限（内控） */
	@Column("NK_STDMAX")
	private String nkStdmax;

	/** 判定依据(A:最小值,B:最大值,C:平均值,D:逐项值判) */
	@Column("JUDGE_BASIS")
	private String judgeBasis;

	/** 值单位（从检验项基础表中取） */
	@Column
	private String unti;

	/** 修约规则 */
	@Column("ROUND_OFF_RULES_CODE")
	private String roundOffRulesCode;

	/** 修约规则 */
	@Column("ROUND_OFF_RULES_NAME")
	private String roundOffRulesName;
	
	/** 修约位数(保留几位小数) */
	@Column("ROUND_OFF_DIGITS")
	private Integer roundOffDigits;

	
	
	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;


	public String getRoundOffRulesCode() {
		return roundOffRulesCode;
	}

	public void setRoundOffRulesCode(String roundOffRulesCode) {
		this.roundOffRulesCode = roundOffRulesCode;
	}

	public String getRoundOffRulesName() {
		return roundOffRulesName;
	}

	public void setRoundOffRulesName(String roundOffRulesName) {
		this.roundOffRulesName = roundOffRulesName;
	}

	public Integer getRoundOffDigits() {
		return roundOffDigits;
	}

	public void setRoundOffDigits(Integer roundOffDigits) {
		this.roundOffDigits = roundOffDigits;
	}

	public String getSpecimenNo() {
		return this.specimenNo;
	}

	public Integer getSeq() {
		return this.seq;
	}

	public String getPhyCodeL() {
		return this.phyCodeL;
	}

	public String getPhyNameL() {
		return this.phyNameL;
	}

	public String getPhyCodeM() {
		return this.phyCodeM;
	}

	public String getPhyNameM() {
		return this.phyNameM;
	}

	public String getPhyCodeS() {
		return this.phyCodeS;
	}

	public String getPhyNameS() {
		return this.phyNameS;
	}

	public String getItemCodeD() {
		return this.itemCodeD;
	}

	public String getItemNameD() {
		return this.itemNameD;
	}

	public String getItemCodeT() {
		return this.itemCodeT;
	}

	public String getItemNameT() {
		return this.itemNameT;
	}

	public String getItemCodeS() {
		return this.itemCodeS;
	}

	public String getItemNameS() {
		return this.itemNameS;
	}

	public String getJfStdminSign() {
		return this.jfStdminSign;
	}

	public String getJfStdmin() {
		return this.jfStdmin;
	}

	public String getJfStdmaxSign() {
		return this.jfStdmaxSign;
	}

	public String getJfStdmax() {
		return this.jfStdmax;
	}

	public String getNkStdminSign() {
		return this.nkStdminSign;
	}

	public String getNkStdmin() {
		return this.nkStdmin;
	}

	public String getNkStdmaxSign() {
		return this.nkStdmaxSign;
	}

	public String getNkStdmax() {
		return this.nkStdmax;
	}

	public String getJudgeBasis() {
		return this.judgeBasis;
	}

	public String getUnti() {
		return this.unti;
	}


	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public void setSpecimenNo(String specimenNo) {
		this.specimenNo = specimenNo;
	}

	public void setSeq(Integer seq) {
		this.seq = seq;
	}

	public void setPhyCodeL(String phyCodeL) {
		this.phyCodeL = phyCodeL;
	}

	public void setPhyNameL(String phyNameL) {
		this.phyNameL = phyNameL;
	}

	public void setPhyCodeM(String phyCodeM) {
		this.phyCodeM = phyCodeM;
	}

	public void setPhyNameM(String phyNameM) {
		this.phyNameM = phyNameM;
	}

	public void setPhyCodeS(String phyCodeS) {
		this.phyCodeS = phyCodeS;
	}

	public void setPhyNameS(String phyNameS) {
		this.phyNameS = phyNameS;
	}

	public void setItemCodeD(String itemCodeD) {
		this.itemCodeD = itemCodeD;
	}

	public void setItemNameD(String itemNameD) {
		this.itemNameD = itemNameD;
	}

	public void setItemCodeT(String itemCodeT) {
		this.itemCodeT = itemCodeT;
	}

	public void setItemNameT(String itemNameT) {
		this.itemNameT = itemNameT;
	}

	public void setItemCodeS(String itemCodeS) {
		this.itemCodeS = itemCodeS;
	}

	public void setItemNameS(String itemNameS) {
		this.itemNameS = itemNameS;
	}

	public void setJfStdminSign(String jfStdminSign) {
		this.jfStdminSign = jfStdminSign;
	}

	public void setJfStdmin(String jfStdmin) {
		this.jfStdmin = jfStdmin;
	}

	public void setJfStdmaxSign(String jfStdmaxSign) {
		this.jfStdmaxSign = jfStdmaxSign;
	}

	public void setJfStdmax(String jfStdmax) {
		this.jfStdmax = jfStdmax;
	}

	public void setNkStdminSign(String nkStdminSign) {
		this.nkStdminSign = nkStdminSign;
	}

	public void setNkStdmin(String nkStdmin) {
		this.nkStdmin = nkStdmin;
	}

	public void setNkStdmaxSign(String nkStdmaxSign) {
		this.nkStdmaxSign = nkStdmaxSign;
	}

	public void setNkStdmax(String nkStdmax) {
		this.nkStdmax = nkStdmax;
	}

	public void setJudgeBasis(String judgeBasis) {
		this.judgeBasis = judgeBasis;
	}

	public void setUnti(String unti) {
		this.unti = unti;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

}
